<?php
/**
 * Default theme options.
 *
 * @package Prime Beauty Salon
 */

if ( ! function_exists( 'prime_beauty_salon_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
function prime_beauty_salon_get_default_theme_options() {

	$defaults = array();

	// Top Bar
	$defaults['prime_beauty_salon_header_donate_btn_text'] = esc_html__('Appointment','prime-beauty-salon');
	$defaults['prime_beauty_salon_header_donate_btn_url'] = esc_url('www.example.com','prime-beauty-salon');

    $defaults['prime_beauty_salon_show_header_social_links'] 		= true;
    $defaults['header_social_links']			= array();

	$defaults['theme_options[prime_beauty_salon_social_link_1]'] = esc_url('https://www.instagram.com','prime-beauty-salon');
	$defaults['theme_options[prime_beauty_salon_social_link_2]'] = esc_url('https://www.twitter.com','prime-beauty-salon');
	$defaults['theme_options[prime_beauty_salon_social_link_3]'] = esc_url('https://www.facebook.com','prime-beauty-salon');
	$defaults['theme_options[prime_beauty_salon_social_link_4]'] = esc_url('https://www.linkedin.com','prime-beauty-salon');

    // Front Page Content
	$defaults['prime_beauty_salon_enable_frontpage_content'] 		= true;

	// Slider Section	
	$defaults['prime_beauty_salon_enable_featured_slider_section']		    	= true;
	$defaults['prime_beauty_salon_featured_slider_content_type']		    	= 'featured_slider_page';
	$defaults['prime_beauty_salon_featured_slider_prime_beauty_salon_readmore_text']	= esc_html__('Know More','prime-beauty-salon');
	$defaults['prime_beauty_salon_data_slick_speed']					    	= 1000;
	$defaults['prime_beauty_salon_data_slick_infinite']				    	= 1;
	$defaults['prime_beauty_salon_data_slick_arrows']					    	= 1;
	$defaults['prime_beauty_salon_data_slick_autoplay']				    	= 0;
	$defaults['prime_beauty_salon_data_slick_draggable']				    	= 1;
	$defaults['prime_beauty_salon_data_slick_fade']					    	= 1;
	$defaults['prime_beauty_salon_number_of_featured_slider_items']	    	= 3;
	
	// Servies Section	
	$defaults['prime_beauty_salon_enable_featured_mission_section']			= true;
	$defaults['prime_beauty_salon_featured_mission_section_title'] = esc_html__( 'Our Best Features', 'prime-beauty-salon' );
	$defaults['prime_beauty_salon_featured_mission_section_text'] = esc_html__( 'Lorem Ipsum has been the industrys standard dummy text ever since the 1500s', 'prime-beauty-salon' );
	$defaults['prime_beauty_salon_number_of_featured_mission_items']	    = '3';

	// Theme Options
	$defaults['prime_beauty_salon_show_header_image']		    			= 'header-image-enable';
	$defaults['prime_beauty_salon_show_page_title']		    			= 'page-title-enable';
	$defaults['prime_beauty_salon_excerpt_length']							= 25;
	$defaults['prime_beauty_salon_readmore_text']							= esc_html__('Know More','prime-beauty-salon');
	$defaults['prime_beauty_salon_your_latest_posts_title']				= esc_html__('Blog','prime-beauty-salon');

	// General Setting
	$defaults['prime_beauty_salon_header_donate_scroll_to_top']			= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_header_donate_preloader_setting']		= false;
	$defaults['prime_beauty_salon_sticky_header']		= false;

	// wooocommerce Setting
	$defaults['prime_beauty_salon_archive_product_per_row']	    = '4';
	$defaults['prime_beauty_salon_archive_product_per_page']	    = '12';

	// Single Post Setting
	$defaults['prime_beauty_salon_post_author_setting']			= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_post_date_setting']				= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_post_categories_setting']		= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_post_comment_setting']	     	= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_single_page_pagination_setting']	    = esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_single_page_content_setting']	    = esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_single_tags_setting']	    		= esc_html__('true','prime-beauty-salon');

	// Post Setting
	$defaults['prime_beauty_salon_post_feature_image_setting']    = esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_post_title_setting']			= esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_post_meta_setting']		        = esc_html__('true','prime-beauty-salon');
    $defaults['prime_beauty_salon_post_content_setting']		    = esc_html__('true','prime-beauty-salon');
    $defaults['prime_beauty_salon_post_button_setting']		    = esc_html__('true','prime-beauty-salon');
   
	//Footer section 		
	$defaults['prime_beauty_salon_copyright_text']	= esc_html__( 'Spa WordPress Theme', 'prime-beauty-salon' );
	$defaults['prime_beauty_salon_footer_widgtes_setting']	    = esc_html__('true','prime-beauty-salon');
	$defaults['prime_beauty_salon_footer_setting']		= esc_html__('true','prime-beauty-salon');

	// Pass through filter.
	$defaults = apply_filters( 'prime_beauty_salon_filter_default_theme_options', $defaults );
	return $defaults;
}

endif;

/**
*  Get theme options
*/
if ( ! function_exists( 'prime_beauty_salon_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function prime_beauty_salon_get_option( $key ) {

		$default_options = prime_beauty_salon_get_default_theme_options();
		if ( empty( $key ) ) {
			return;
		}

		$theme_options = (array)get_theme_mod( 'theme_options' );
		$theme_options = wp_parse_args( $theme_options, $default_options );

		$value = null;

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;

	}

endif;